## softether-vpn 4.29.9680

=== debian/changelog ===
softether-vpn (0:4.29.9680-rtm~20210718074950.40+wheezy) unstable; urgency=medium

  [ Mario Fetka ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 0:4.29.9680-rtm via jenkins-debian-
    glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debbuild.disconnected-by-peer.at>  Sun, 18 Jul 2021 09:49:50 +0200

softether-vpn (0:4.04.9412-rtm) unstable; urgency=low

  * Testing debianization

 -- Dmitry Orlov <me@mosquito.su>  Tue, 4 Feb 2014 20:24:43 +0000
