## softether-vpn 4.44-9807

=== debian/changelog ===
softether-vpn (4.44-9807-rtm+0~20250808122313.54+bookworm~1.gbpf945c9) unstable; urgency=medium

  ** SNAPSHOT build @f945c945a00d3a939215df04fd1bfd898076ae8c **

  [ geos_one ]
  * New upstream version 4.44-9807
  * add gcc 14 patches

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Fri, 08 Aug 2025 14:23:13 +0200

softether-vpn (4.44-9807-rtm) unstable; urgency=medium

  [ Mario Fetka ]
  * Bump

  [ geos_one ]
  * New upstream version 4.44-9807-rtm

 -- root <mario.fetka@disconnected-by-peer.at>  Fri, 08 Aug 2025 12:14:30 +0200
