=== debian/control ===
Source: softether-vpn
Section: net
Priority: optional
Maintainer: Dmitry Orlov <me@mosquito.su>
Build-Depends: debhelper (>= 7.0.50~), libncurses-dev, linux-libc-dev, libssl-dev , libreadline-dev, build-essential, dh-exec, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.softether.org/

Package: softether-vpnbridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, softether-vpncmd
Section: net
Description: VPN Bridge daemon
 An Open-Source Free Cross-platform Multi-protocol VPN Program, as an academic project from University of Tsukuba.
 SoftEther VPN ("SoftEther" means "Software Ethernet") is one of the world's most
 powerful and easy-to-use multi-protocol VPN software.
 It runs on Windows, Linux, Mac, FreeBSD and Solaris.
 SoftEther VPN is open source. You can use SoftEther for any
 personal or commercial use for free charge.
 SoftEther VPN is an optimum alternative to
 OpenVPN and Microsoft's VPN servers. SoftEther VPN
 has a clone-function of OpenVPN Server.
 You can integrate from OpenVPN to SoftEther VPN smoothly.
 SoftEther VPN is faster than OpenVPN.
 SoftEther VPN also supports Microsoft SSTP VPN for Windows Vista / 7 / 8.

Package: softether-vpnclient
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, softether-vpncmd
Section: net
Description: VPN Client daemon
 An Open-Source Free Cross-platform Multi-protocol VPN Program, as an academic project from University of Tsukuba.
 SoftEther VPN ("SoftEther" means "Software Ethernet") is one of the world's most
 powerful and easy-to-use multi-protocol VPN software.
 It runs on Windows, Linux, Mac, FreeBSD and Solaris.
 SoftEther VPN is open source. You can use SoftEther for any
 personal or commercial use for free charge.
 SoftEther VPN is an optimum alternative to
 OpenVPN and Microsoft's VPN servers. SoftEther VPN
 has a clone-function of OpenVPN Server.
 You can integrate from OpenVPN to SoftEther VPN smoothly.
 SoftEther VPN is faster than OpenVPN.
 SoftEther VPN also supports Microsoft SSTP VPN for Windows Vista / 7 / 8.

Package: softether-vpncmd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: net
Description: Command line utils
 An Open-Source Free Cross-platform Multi-protocol VPN Program, as an academic project from University of Tsukuba.
 SoftEther VPN ("SoftEther" means "Software Ethernet") is one of the world's most
 powerful and easy-to-use multi-protocol VPN software.
 It runs on Windows, Linux, Mac, FreeBSD and Solaris.
 SoftEther VPN is open source. You can use SoftEther for any
 personal or commercial use for free charge.
 SoftEther VPN is an optimum alternative to
 OpenVPN and Microsoft's VPN servers. SoftEther VPN
 has a clone-function of OpenVPN Server.
 You can integrate from OpenVPN to SoftEther VPN smoothly.
 SoftEther VPN is faster than OpenVPN.
 SoftEther VPN also supports Microsoft SSTP VPN for Windows Vista / 7 / 8.

Package: softether-vpnserver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, softether-vpncmd
Section: net
Description: VPN Server daemon
 An Open-Source Free Cross-platform Multi-protocol VPN Program, as an academic project from University of Tsukuba.
 SoftEther VPN ("SoftEther" means "Software Ethernet") is one of the world's most
 powerful and easy-to-use multi-protocol VPN software.
 It runs on Windows, Linux, Mac, FreeBSD and Solaris.
 SoftEther VPN is open source. You can use SoftEther for any
 personal or commercial use for free charge.
 SoftEther VPN is an optimum alternative to
 OpenVPN and Microsoft's VPN servers. SoftEther VPN
 has a clone-function of OpenVPN Server.
 You can integrate from OpenVPN to SoftEther VPN smoothly.
 SoftEther VPN is faster than OpenVPN.
 SoftEther VPN also supports Microsoft SSTP VPN for Windows Vista / 7 / 8.
