## softether-vpn 5.01.9674%2Bgit20200806%2B8181039%2Bdfsg2

=== debian/changelog ===
softether-vpn (5.01.9674+git20200806+8181039+dfsg2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:21 +1100

softether-vpn (5.01.9674+git20200806+8181039+dfsg2-2build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:23:43 +0000

softether-vpn (5.01.9674+git20200806+8181039+dfsg2-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 11:24:33 +0100

softether-vpn (5.01.9674+git20200806+8181039+dfsg2-2) unstable; urgency=medium

  * Install the hamcore link to the vpnclient package as well
    (actually closes: #973403).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 03 Dec 2020 10:35:09 +0100

softether-vpn (5.01.9674+git20200806+8181039+dfsg2-1) unstable; urgency=medium

  * Update Files-Excluded, revert erroneour removal of upstream files
    (Closes: #973403).
  * Add gitlab-ci.yml.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Nov 2020 14:16:59 +0100

softether-vpn (5.01.9674+git20200806+8181039+dfsg-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #972496).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 19 Oct 2020 14:14:55 +0200

softether-vpn (5.01.9674+git20200806+8181039+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #968447).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 15 Aug 2020 22:54:32 +0200
