=== src/hamcorebuilder/CMakeLists.txt ===
add_executable(hamcorebuilder hamcorebuilder.c)

target_link_libraries(hamcorebuilder cedar mayaqua)
