=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, repack, compression=xz, repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
 https://github.com/SoftEtherVPN/SoftEtherVPN \
 refs/tags/([\d]+)\.([\d.]+)

opts="mode=git, pgpmode=none, pretty=5.01.9674+git%cd+%h, repack, compression=xz, repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
 https://github.com/SoftEtherVPN/SoftEtherVPN \
 HEAD
