=== debian/changelog ===
softether-vpn (5.01.9674+git20200806+8181039+dfsg3-1) unstable; urgency=medium

  * Reinstate the nodejs package which is needed for webui.
  * Ship the nodejs module in softether-common.
  * Move files to /usr using dh-sequence-movetousr.
  * Clean more generated files (Closes: #1046656).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 14 Jun 2024 09:44:17 +0200
