=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ dh-sequence-movetousr,
  cmake,
  libncurses5-dev,
  libreadline-dev,
@@ -119,6 +120,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Section: net
+Provides: node-vpnrpc
 Description: multiprotocol VPN program (common files)
  SoftEther is an open-source cross-platform multi-protocol VPN program.
  .
